<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   							   */
/* ========================      						 						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	  		   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   	   */
/***********************************************************************************/
	require_once "../includes/check_login.inc.php";
	require_once "../includes/config.inc.php";
	require_once "../includes/common.inc.php";
	require_once "../includes/function.inc.php";
	require_once"../includes/BiaoCommon.class.php";
		
	/************************************************************************************/
	/*                               基本设置，创建对象                                  */
	/************************************************************************************/
	$Add_button_value=" 添加 ";				//增加按钮显示的值
	$Set_button_value=" 设置 ";				//增加按钮显示的值
	$Reflash_button_value=" 刷新 ";			//刷新按钮显示的值
	$Search_button_value=" 查找 ";			//查找按钮显示的值
	$Print_button_value=" 打印 ";			//打印按钮显示的值
	$Export_button_value=" 导出 ";			//导出按钮显示的值
	
	global $boxesDB; 
	$boxesDB=new BiaoCommon($conn); 

	$PAGE_MAX_LINE	= 10;
	$table_name		= $_REQUEST[table_name];
	$module_name	= $_REQUEST[module_name];
	$module_num		= $_REQUEST[module_num];
	$OffSet			= $_REQUEST[OffSet];
	if(!$OffSet)$OffSet=0;
	
	$boxesDB->setPageParameter("table_name",$table_name);
	$boxesDB->setPageParameter("module_name",$module_name);
	$boxesDB->setPageParameter("module_num",$module_num);
	
	$boxesDB->setTableName("field_display_table");
	$sql="where table_name='".$table_name."'";
	$boxesDB->setCondition($sql);
	$boxes_check=$boxesDB->selectResult();
	if(!count($boxes_check)){
		echo"<script>alert(\"表field_display_table设置出问题啦！\");</script>";
		exit;
	}
	$prefix=$boxes_check[0][prefix];
	$auto_id=$prefix."auto_id";
	$id=$prefix."id";
	
/*############################################################*/	
	$sort_by_field	=	$_REQUEST[sort_by_field];
	$sort_order		=	$_REQUEST[sort_order];
	if(!$sort_order){
		$sort_order="desc";
	}
		
	if(!$sort_by_field)	
		$index="order by $auto_id ".$sort_order;
	else{ 
		$index="order by $sort_by_field ".$sort_order;
	}
/*############################################################*/	
		
	//检查查看权限
	$bu_auto_id=$HTTP_SESSION_VARS["user_auto_id"];
	checkRole($table_name,$module_num,$bu_auto_id,"LIST");

	/************************************************************************************/
	/*                               基本设置，创建对象                                  */
	/************************************************************************************/
	
	
	
	
	/************************************************************************************/
	/*                                    条件查询                                       */
	/************************************************************************************/
	//设置表名
	$boxesDB->setTableName("field_display_table");
	
	//设置筛选的字段
	$boxesDB->setSelectField("*");
	
	//查询条件
	$sql="where (table_name='$table_name' and search_is_display='1') order by field_display_auto_id asc";
	$boxesDB->setCondition($sql);
	
	//查询结果
	$boxes_search_list=$boxesDB->selectResult();
	
	for($i=0;$i<count($boxes_search_list);$i++){
		$row=$boxes_search_list[$i];
		$field_name="search_".$row[field_name];
		if($_REQUEST[$field_name]!=""){
			$boxesDB->setPageParameter("$field_name",$_REQUEST[$field_name]);
			$condition.="$row[field_name] like '%".$_REQUEST[$field_name]."%' and ";//全部都是模糊查找
		}
	}
	if($condition){//去掉最后一个and	
		$condition=substr($condition,0,strlen($condition)-4);
		$condition="where ".$condition." ";
	}
	
	//传递的参数
	$strQuery=$boxesDB->getPageParameter();
	/************************************************************************************/
	/*                                         查询条件                                 */
	/************************************************************************************/
	
	
	
	/************************************************************************************/
	/*                                         查询列表                                 */
	/************************************************************************************/
	//设置表
	$boxesDB->setTableName($table_name);
	$boxesDB->setOffSet($OffSet);
	$boxesDB->setMaxRow($PAGE_MAX_LINE);
	
	//设置查询字段
	$boxesDB->setSelectField("*");

	//设置查询条件
	$condition.=$index;	
	$boxesDB->setCondition($condition);
	
	//查询结果
	$boxes_result=$boxesDB->selectResult();
	//页码行数，用在页面导航条
	$pagerows=$boxesDB->getPageRow();
	$boxesDB->setOffSet(0);
	$boxesDB->setMaxRow(0);
	/************************************************************************************/
	/*                                         查询列表                                 */
	/************************************************************************************/	
	
	
	
	/************************************************************************************/
	/*                                         显示字段                                 */
	/************************************************************************************/
	//设置表
	$boxesDB->setTableName("field_display_table");
	
	//设置筛选的字段	
	$boxesDB->setSelectField("*");

	//查询条件
	$sql="where (table_name='$table_name' and list_is_display='1') order by list_display_number asc";
	$boxesDB->setCondition($sql);
	
	//查询结果
	$boxes_top_list=$boxesDB->selectResult();
	
	for($i=0;$i<count($boxes_top_list);$i++){
		$row=$boxes_top_list[$i];
		
		if($sort_order=="desc")
			$next_sort_order="asc";
		else
			$next_sort_order="desc";
			
		//图片
		if($sort_by_field==$row[field_name]){
			if($sort_order=="desc")
				$sort_image="sort_up.gif";
			else 
				$sort_image="sort_down.gif";
		}
		else 
			$sort_image="sort.gif";
		
		//排序
		$sort_field="onclick=\"window.goToUrl('".$GLOBALS["PHP_SELF"]."?sort_by_field=$row[field_name]&&sort_order=$next_sort_order&&OffSet=".$OffSet.$strQuery."');\"";
		$list_top_array[]=array("width"			=>	$row[list_display_width],
								"sort_image"	=>	$sort_image,
								"display"		=>	$row[display_name],
								"sort_by_field"	=>	$sort_field);
								
		for($j=0;$j<count($boxes_result);$j++){
			$row1=$boxes_result[$j];
			
			$field_value=$row1[$row[field_name]];
				
			$list_array[$j][]=array("width"=>$row[list_display_width],"value"=>$field_value,"action"=>"onClick=\"showUpdateWindow('system_common','$table_name','$module_name','".$module_num."','$row1[$auto_id]')\"");//$row1[1]一定是单据编号ID
		}
		//不足行补空行
		while($j<$PAGE_MAX_LINE){
			$list_array[$j][]=array("width"=>"","value"=>"&nbsp;","action"=>"");
			$j++;
		}
		
	}
	/************************************************************************************/
	/*                                         显示字段                                 */
	/************************************************************************************/
	
	
	
	/************************************************************************************/
	/*                                         功能按钮                                 */
	/************************************************************************************/

	$ADD_BUTTON		=	"<input class='INPUT_BUTTON' type='submit' name='add_button' value=' 增加 ' onClick=\"showAddWindow('system_common','".$table_name."','".$module_name."','".$module_num."')\">";
	$SET_BUTTON		=	"<input class='INPUT_BUTTON' type='submit' name='set_button' value=' 设置 ' onClick=\"showSetWindow('system_common','".$table_name."','".$module_name."','".$module_num."')\">";
	$REFLASH_BUTTON	=	"<input class='INPUT_BUTTON' type='button' name='reflash_button' value=' 刷新 ' onClick=\"javascript:location.reload();\">";
	$SEARCH_BUTTON	=	"<input class='INPUT_BUTTON' type='submit' name='search_button' value=' 查找 ' onClick=\"showSearchWindow('system_common','".$table_name."','".$module_name."','".$module_num."')\">";
	/************************************************************************************/
	/*                                         功能按钮                                 */
	/************************************************************************************/
	
	
	
	
	/************************************************************************************/
	/*                                         页面导航                                 */
	/************************************************************************************/
	$first=0; 
	$next=$OffSet+$PAGE_MAX_LINE; 
	$prev=$OffSet-$PAGE_MAX_LINE; 
	$last=($pagerows[totalPages]-1)*$PAGE_MAX_LINE;

	$PAGE_NAVIGATION="<input class='INPUT_BUTTON' type='button' name='first_page_button' value='|首页' ";
	if($pagerows[currentPage]==1)$PAGE_NAVIGATION.="disabled";
	$PAGE_NAVIGATION.=" onClick=\"window.goToUrl('".$GLOBALS["PHP_SELF"]."?sort_by_field=$sort_by_field&&sort_order=$sort_order&&OffSet=".$first.$strQuery."');\">"; 
	$PAGE_NAVIGATION.="<input class='INPUT_BUTTON' type='button' name='pre_page_button' value='&lt;上页' ";
	if($pagerows[currentPage]<2)$PAGE_NAVIGATION.="disabled";
	$PAGE_NAVIGATION.=" onClick=\"window.goToUrl('".$GLOBALS["PHP_SELF"]."?sort_by_field=$sort_by_field&&sort_order=$sort_order&&OffSet=".$prev.$strQuery."');\">"; 
	$PAGE_NAVIGATION.="".$pagerows[currentPage]."/".$pagerows[totalPages].""; 
	$PAGE_NAVIGATION.="<input class='INPUT_BUTTON' type='button' name='next_page_button' value='下页&gt;' ";
	if($pagerows[currentPage]>=$pagerows[totalPages])$PAGE_NAVIGATION.="disabled";
	$PAGE_NAVIGATION.=" onClick=\"window.goToUrl('".$GLOBALS["PHP_SELF"]."?sort_by_field=$sort_by_field&&sort_order=$sort_order&&OffSet=".$next.$strQuery."');\">";
	$PAGE_NAVIGATION.="<input class='INPUT_BUTTON' type='button' name='last_page_button' value='末页|' ";
	if($pagerows[currentPage]==$pagerows[totalPages])$PAGE_NAVIGATION.="disabled";
	$PAGE_NAVIGATION.=" onClick=\"window.goToUrl('".$GLOBALS["PHP_SELF"]."?sort_by_field=$sort_by_field&&sort_order=$sort_order&&OffSet=".$last.$strQuery."');\">";
	/************************************************************************************/
	/*                                         页面导航                                 */
	/************************************************************************************/
	
	//替换
	$smart->assign(array("table_name"=>$table_name,
						 "module_name"=>$module_name,
						 "list_top_array"=>$list_top_array,
						 "list_row_array"=>$list_array));
	//替换
	$smart->assign(array("ADD_BUTTON"=>$ADD_BUTTON,
						 "SET_BUTTON"=>$SET_BUTTON,
						 "REFLASH_BUTTON"=>$REFLASH_BUTTON,
						 "SEARCH_BUTTON"=>$SEARCH_BUTTON,
						 "PRINT_BUTTON"=>$PRINT_BUTTON,
						 "EXPORT_BUTTON"=>$EXPORT_BUTTON,
						 "PAGE_NAVIGATION"=>$PAGE_NAVIGATION));

	//输出结果
	$smart->display('list_common.tpl.htm');
	
//	printExecuteTime();
?>